spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ted Yu <yuzhih...@gmail.com>
Subject Re: Jackson-core-asl conflict with Spark
Date Thu, 12 Mar 2015 17:15:50 GMT
Looking at dependency tree:
[INFO] +- org.spark-project.hive:hive-exec:jar:0.13.1a:compile
...
[INFO] |  +- org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile

In root pom.xml :
      <dependency>
        <groupId>org.codehaus.jackson</groupId>
        <artifactId>jackson-core-asl</artifactId>
        <version>${codehaus.jackson.version}</version>
        <scope>${hadoop.deps.scope}</scope>
      </dependency>
You can try passing -Dcodehaus.jackson.version=1.9.13 in the command line.

Cheers

On Thu, Mar 12, 2015 at 9:58 AM, Uthayan Suthakar <
uthayan.suthakar@gmail.com> wrote:

> Hello Guys,
>
> I'm running into below error:
>
> Exception in thread "main" java.lang.NoClassDefFoundError:
> org/codehaus/jackson/annotate/JsonClass
>
> I have created a uber jar with Jackson-core-asl.1.9.13 and passed it with
> --jars configuration, but still getting errors. I searched on the net and
> found a few suggestions, such as disabling "USE_ANNOTATIONS", still no joy.
>
> I tried disabling SQL module and recompiled Spark and installed the custom
> library, yet no joy.
>
> I'm running out of ideas, could you please assist me with this issue?
>
> Many thanks.
>
>
> Uthay.
>
>
>

Mime
View raw message